<?php

namespace App\Definition;

use App\Entity\Section\Section;
use Lc\CaracoleBundle\Definition\SectionSettingDefinitionInterface;
use Lc\SovBundle\Definition\AbstractSettingDefinition;

class SectionSettingDefinition extends AbstractSettingDefinition implements SectionSettingDefinitionInterface
{
    const CATEGORY_GENERAL = 'general';
    const CATEGORY_CONFIGURATION = 'configuration';
    const CATEGORY_SPECIFIC = 'specific';

    const SETTING_EXAMPLE_TEXT = 'exampleText';
    const SETTING_EXAMPLE_TEXT2 = 'exampleText2';
    const SETTING_EXAMPLE_SPECIFIC_SECTION = 'exampleSpecificSection';

    public function __construct()
    {
        // général
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXT,
                                'category' => self::CATEGORY_GENERAL
                        ]
                );

        // configuration
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_EXAMPLE_TEXT2,
                                'category' => self::CATEGORY_CONFIGURATION
                        ]
                );

        // spécifique
        $this
                ->addSettingText(
                        [
                                'name' => self::SETTING_EXAMPLE_SPECIFIC_SECTION,
                                'category' => self::CATEGORY_SPECIFIC,
                                'section' => Section::SECTION_LUNCH
                        ]
                );
    }

    public function getCategories()
    {
        return [
                self::CATEGORY_GENERAL,
                self::CATEGORY_CONFIGURATION,
                self::CATEGORY_SPECIFIC,
        ];
    }

}